package com.cm.central.control.pojo.dtos.customer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 *
 * @ClassName: CustomerDTO
 * @Description: 客户管理
 * @Author: WenG
 * @Date: 2020-07-30 19:00
 * @Version: 1.0
 **/
@ApiModel
public class CustomerDTO implements Serializable {

    private static final long serialVersionUID = 572281238617476261L;
    @ApiModelProperty(name = "customerId", value = "主键")
    private String customerId;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "customerType", value = "客户类型")
    private Integer customerType;
    @ApiModelProperty(name = "contactPerson1", value = "联系人1")
    private String contactPerson1;
    @ApiModelProperty(name = "contactTel1", value = "联系座机1")
    private String contactTel1;
    @ApiModelProperty(name = "contactPhone1", value = "联系电话1")
    private String contactPhone1;
    @ApiModelProperty(name = "contactEmail1", value = "联系邮箱1")
    private String contactEmail1;
    @ApiModelProperty(name = "contactPerson2", value = "联系人2")
    private String contactPerson2;
    @ApiModelProperty(name = "contactTel2", value = "联系座机2")
    private String contactTel2;
    @ApiModelProperty(name = "contactPhone2", value = "联系电话2")
    private String contactPhone2;
    @ApiModelProperty(name = "contactEmail2", value = "联系邮箱2")
    private String contactEmail2;
    @ApiModelProperty(name = "area1Id", value = "地区1Id")
    private String area1Id;
    @ApiModelProperty(name = "area1Name", value = "地区1名称")
    private String area1Name;
    @ApiModelProperty(name = "area1Code", value = "地区1编码")
    private String area1Code;
    @ApiModelProperty(name = "area2Id", value = "地区2ID")
    private String area2Id;
    @ApiModelProperty(name = "area2Name", value = "地区2名称")
    private String area2Name;
    @ApiModelProperty(name = "area2Code", value = "区域2编码")
    private String area2Code;
    @ApiModelProperty(name = "area3Id", value = "区域3ID")
    private String area3Id;
    @ApiModelProperty(name = "area3Name", value = "区域3名称")
    private String area3Name;
    @ApiModelProperty(name = "area3Code", value = "区域3编码")
    private String area3Code;
    @ApiModelProperty(name = "area4Id", value = "区域4ID")
    private String area4Id;
    @ApiModelProperty(name = "area4Name", value = "地区4名称")
    private String area4Name;
    @ApiModelProperty(name = "area4Code", value = "区域4编码")
    private String area4Code;
    @ApiModelProperty(name = "area5Id", value = "区域5ID")
    private String area5Id;
    @ApiModelProperty(name = "area5Name", value = "区域5名称")
    private String area5Name;
    @ApiModelProperty(name = "area5Code", value = "区域5编码")
    private String area5Code;
    @ApiModelProperty(name = "areaAddress", value = "详细地址")
    private String areaAddress;
    @ApiModelProperty(name = "gmtCreate", value = "添加时间")
    private String gmtCreate;

    public String getCustomerId() {
        return customerId == null ? "" : customerId.trim();
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName == null ? "" : customerName.trim();
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getCustomerType() {
        return customerType == null ? 0 : customerType;
    }

    public void setCustomerType(Integer customerType) {
        this.customerType = customerType;
    }

    public String getContactPerson1() {
        return contactPerson1 == null ? "" : contactPerson1.trim();
    }

    public void setContactPerson1(String contactPerson1) {
        this.contactPerson1 = contactPerson1;
    }

    public String getContactTel1() {
        return contactTel1 == null ? "" : contactTel1.trim();
    }

    public void setContactTel1(String contactTel1) {
        this.contactTel1 = contactTel1;
    }

    public String getContactPhone1() {
        return contactPhone1 == null ? "" : contactPhone1.trim();
    }

    public void setContactPhone1(String contactPhone1) {
        this.contactPhone1 = contactPhone1;
    }

    public String getContactEmail1() {
        return contactEmail1 == null ? "" : contactEmail1.trim();
    }

    public void setContactEmail1(String contactEmail1) {
        this.contactEmail1 = contactEmail1;
    }

    public String getContactPerson2() {
        return contactPerson2 == null ? "" : contactPerson2.trim();
    }

    public void setContactPerson2(String contactPerson2) {
        this.contactPerson2 = contactPerson2;
    }

    public String getContactTel2() {
        return contactTel2 == null ? "" : contactTel2.trim();
    }

    public void setContactTel2(String contactTel2) {
        this.contactTel2 = contactTel2;
    }

    public String getContactPhone2() {
        return contactPhone2 == null ? "" : contactPhone2.trim();
    }

    public void setContactPhone2(String contactPhone2) {
        this.contactPhone2 = contactPhone2;
    }

    public String getContactEmail2() {
        return contactEmail2 == null ? "" : contactEmail2.trim();
    }

    public void setContactEmail2(String contactEmail2) {
        this.contactEmail2 = contactEmail2;
    }

    public String getArea1Id() {
        return area1Id == null ? "" : area1Id.trim();
    }

    public void setArea1Id(String area1Id) {
        this.area1Id = area1Id;
    }

    public String getArea1Name() {
        return area1Name == null ? "" : area1Name.trim();
    }

    public void setArea1Name(String area1Name) {
        this.area1Name = area1Name;
    }

    public String getArea1Code() {
        return area1Code == null ? "" : area1Code.trim();
    }

    public void setArea1Code(String area1Code) {
        this.area1Code = area1Code;
    }

    public String getArea2Id() {
        return area2Id == null ? "" : area2Id.trim();
    }

    public void setArea2Id(String area2Id) {
        this.area2Id = area2Id;
    }

    public String getArea2Name() {
        return area2Name == null ? "" : area2Name.trim();
    }

    public void setArea2Name(String area2Name) {
        this.area2Name = area2Name;
    }

    public String getArea2Code() {
        return area2Code == null ? "" : area2Code.trim();
    }

    public void setArea2Code(String area2Code) {
        this.area2Code = area2Code;
    }

    public String getArea3Id() {
        return area3Id == null ? "" : area3Id.trim();
    }

    public void setArea3Id(String area3Id) {
        this.area3Id = area3Id;
    }

    public String getArea3Name() {
        return area3Name == null ? "" : area3Name.trim();
    }

    public void setArea3Name(String area3Name) {
        this.area3Name = area3Name;
    }

    public String getArea3Code() {
        return area3Code == null ? "" : area3Code.trim();
    }

    public void setArea3Code(String area3Code) {
        this.area3Code = area3Code;
    }

    public String getArea4Id() {
        return area4Id == null ? "" : area4Id.trim();
    }

    public void setArea4Id(String area4Id) {
        this.area4Id = area4Id;
    }

    public String getArea4Name() {
        return area4Name == null ? "" : area4Name.trim();
    }

    public void setArea4Name(String area4Name) {
        this.area4Name = area4Name;
    }

    public String getArea4Code() {
        return area4Code == null ? "" : area4Code.trim();
    }

    public void setArea4Code(String area4Code) {
        this.area4Code = area4Code;
    }

    public String getArea5Id() {
        return area5Id == null ? "" : area5Id.trim();
    }

    public void setArea5Id(String area5Id) {
        this.area5Id = area5Id;
    }

    public String getArea5Name() {
        return area5Name == null ? "" : area5Name.trim();
    }

    public void setArea5Name(String area5Name) {
        this.area5Name = area5Name;
    }

    public String getArea5Code() {
        return area5Code == null ? "" : area5Code.trim();
    }

    public void setArea5Code(String area5Code) {
        this.area5Code = area5Code;
    }

    public String getAreaAddress() {
        return areaAddress == null ? "" : areaAddress.trim();
    }

    public void setAreaAddress(String areaAddress) {
        this.areaAddress = areaAddress;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"customerId\":")
                .append("\"").append(customerId).append("\"");
        sb.append(",\"customerName\":")
                .append("\"").append(customerName).append("\"");
        sb.append(",\"customerType\":")
                .append(customerType);
        sb.append(",\"contactPerson1\":")
                .append("\"").append(contactPerson1).append("\"");
        sb.append(",\"contactTel1\":")
                .append("\"").append(contactTel1).append("\"");
        sb.append(",\"contactPhone1\":")
                .append("\"").append(contactPhone1).append("\"");
        sb.append(",\"contactEmail1\":")
                .append("\"").append(contactEmail1).append("\"");
        sb.append(",\"contactPerson2\":")
                .append("\"").append(contactPerson2).append("\"");
        sb.append(",\"contactTel2\":")
                .append("\"").append(contactTel2).append("\"");
        sb.append(",\"contactPhone2\":")
                .append("\"").append(contactPhone2).append("\"");
        sb.append(",\"contactEmail2\":")
                .append("\"").append(contactEmail2).append("\"");
        sb.append(",\"area1Id\":")
                .append("\"").append(area1Id).append("\"");
        sb.append(",\"area1Name\":")
                .append("\"").append(area1Name).append("\"");
        sb.append(",\"area1Code\":")
                .append("\"").append(area1Code).append("\"");
        sb.append(",\"area2Id\":")
                .append("\"").append(area2Id).append("\"");
        sb.append(",\"area2Name\":")
                .append("\"").append(area2Name).append("\"");
        sb.append(",\"area2Code\":")
                .append("\"").append(area2Code).append("\"");
        sb.append(",\"area3Id\":")
                .append("\"").append(area3Id).append("\"");
        sb.append(",\"area3Name\":")
                .append("\"").append(area3Name).append("\"");
        sb.append(",\"area3Code\":")
                .append("\"").append(area3Code).append("\"");
        sb.append(",\"area4Id\":")
                .append("\"").append(area4Id).append("\"");
        sb.append(",\"area4Name\":")
                .append("\"").append(area4Name).append("\"");
        sb.append(",\"area4Code\":")
                .append("\"").append(area4Code).append("\"");
        sb.append(",\"area5Id\":")
                .append("\"").append(area5Id).append("\"");
        sb.append(",\"area5Name\":")
                .append("\"").append(area5Name).append("\"");
        sb.append(",\"area5Code\":")
                .append("\"").append(area5Code).append("\"");
        sb.append(",\"areaAddress\":")
                .append("\"").append(areaAddress).append("\"");
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
